Adobe : AIR 1.5 pour Linux et MàJ de sécurité pour Flash 10

Le par  |  1 commentaire(s)
Adobe_AIR

Adobe propose la version Linux de sa plate-forme AIR pour applications Internet riches et publie dans le même temps une mise à jour de sécurité de Flash Player 10.

Adobe_AIRHier, Adobe s'est occupé du cas Linux en annonçant tout d'abord la fin de la phase bêta pour AIR 1.5 qui devient réellement multi-plateforme après une disponibilité sous Windows et Mac OS X. Adobe revendique ainsi son engagement dans la " création de technologies fonctionnelles à travers les systèmes d'exploitation ".

Adobe AIR, pour Adobe Integrated Runtime, est pour rappel un environnement d'exécution comprenant le moteur de rendu HTML WebKit et permet aux développeurs d'utiliser leurs compétences dans les technologies HTML/CSS, JavaScript, AJAX, Flex et Flash afin de déployer des applications RIA sur le poste de travail.

AIR 1.5 intègre les fonctionnalités introduites dans Adobe Flash Player 10 comme le support des filtres et effets personnalisés, l'animation 3D native, l'amélioration du rendu du texte. C'est aussi le support des DRM sous Linux pour les vidéos Flash.

Adobe AIR 1.5 pour Linux est disponible à cette adresse pour Fedora 8, Ubuntu 7.10, openSUSE 10.3 et les versions supérieures. Le SDK est disponible en téléchargement séparé.


MàJ Flash Player 10 que pour les utilisateurs Linux
Un passage sur le site d'Adobe sera également l'occasion, toujours pour les utilisateurs Linux, de mettre à jour leur version de Flash Player pour cause de vulnérabilité de sécurité. Les utilisateurs Windows et Mac OS X ne sont pas concernés.

Adobe ne donne pas beaucoup de détails, si ce n'est que via un fichier SWF spécialement formé chargé par l'utilisateur (qui travaille vraisemblablement avec les droits root) dans Flash Player, un attaquant peut exploiter la vulnérabilité pour prendre le contrôle d'un système vulnérable.

Toutes les versions de Flash Player antérieures à la 10.0.12.36 et 9.0.151.0 comprises sont affectées par la vulnérabilité. Une mise à jour s'impose donc vers la version 10.0.15.3 (ou à défaut, 9.0.152.0). A télécharger ici (ou ).
Complément d'information

Vos commentaires

Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Le #378121
et pour amd64??
Suivre les commentaires
Poster un commentaire
Anonyme
:) ;) :D ^^ 8) :| :lol: :p :-/ :o :w00t: :roll: :( :cry: :facepalm:
:andy: :annoyed: :bandit: :alien: :ninja: :agent: :doh: :@ :sick: :kiss: :love: :sleep: :whistle: =]